org.apache.uima.fit.component

## Class Resource_ImplBase

- java.lang.Object
- - org.apache.uima.resource.Resource_ImplBase
  - - org.apache.uima.fit.component.Resource_ImplBase

- All Implemented Interfaces:
    ExternalResourceAware, Resource
  Direct Known Subclasses:
    JndiResourceLocator, ResourceList

      public abstract class Resource_ImplBase
      extends Resource_ImplBase
      implements ExternalResourceAware

  Base class for external resources which initializes itself based on annotations.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resource_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterResourcesInitialized()` Called after the external resources have been initialized.
    `String` | `getResourceName()` Get the name of the resource.
    `boolean` | `initialize(ResourceSpecifier aSpecifier, Map<String,Object> aAdditionalParams)`

    - ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

      `destroy, getCasManager, getLogger, getMetaData, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, loadUserClass, loadUserClassOrThrow, setContextHolder, setContextHolderX, setLogger, setMetaData, withContextHolder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Resource_ImplBase

          public Resource_ImplBase()

  - ### Method Detail

    - #### initialize

          public boolean initialize(ResourceSpecifier aSpecifier,
                                    Map<String,Object> aAdditionalParams)
                             throws ResourceInitializationException

      Specified by:
        `initialize` in interface `Resource`
      Overrides:
        `initialize` in class `Resource_ImplBase`
      Throws:
        `ResourceInitializationException`

    - #### getResourceName

          public String getResourceName()

      Description copied from interface: `ExternalResourceAware`
      Get the name of the resource. This is set by the different variations of `ExternalResourceFactory.bindResourceOnce(org.apache.uima.resource.metadata.ResourceManagerConfiguration, java.lang.String, org.apache.uima.resource.ExternalResourceDescription)` which internally call `ExternalResourceFactory.bindNestedResources(...)` to set the parameter `PARAM_RESOURCE_NAME`.
      It is mandatory that any resource implementing this interface declares the configuration parameter `PARAM_RESOURCE_NAME`.
      Specified by:
        `getResourceName` in interface `ExternalResourceAware`
      Returns:
        the resource name.

    - #### afterResourcesInitialized

          public void afterResourcesInitialized()
                                         throws ResourceInitializationException

      Description copied from interface: `ExternalResourceAware`
      Called after the external resources have been initialized.
      Specified by:
        `afterResourcesInitialized` in interface `ExternalResourceAware`
      Throws:
        `ResourceInitializationException` - if an problem occurs in the late initialization.

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.